Page MenuHomePhabricator

Clean up data in /data/scratch/mwoffliner
Closed, ResolvedPublic

Description

The mwoffliner directory in NFS on /data/scratch is currently 358G. I was looking at this as part of planned scratch migration, and there seems to be a ton of broken symlinks etc. I'm wondering if this all can be cleaned up?

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 26 2016, 4:52 PM
madhuvishy updated the task description. (Show Details)
Restricted Application added a project: Cloud-Services. · View Herald TranscriptAug 26 2016, 4:54 PM

This directory works as a cache. This is why it's pretty big. One time T117095 is fully implemented, the big part of it will be removed. I plan to work on this during September.

@Kelson Since it's this big and is cache data, we weren't planning to migrate this on to the new scratch setup in labstore1003 (This switch happens 8/31).

@madhuvishy OK, I can live with that.

@Kelson can we wipe this off of scratch now?

Kelson added a comment.Jan 5 2017, 6:06 PM

@chasemp I'll clean it piece by piece to see if it works fine without. Until now I have only verified other aspects (than storage) of the full dumping.

@chasemp I'll clean it piece by piece to see if it works fine without. Until now I have only verified other aspects (than storage) of the full dumping.

root@labstore1003:~# du -sh /srv/scratch/mwoffliner/
887G /srv/scratch/mwoffliner/

@Kelson can this be removed?

@chasemp I have shrinked the whole stuff to ~50GB, it will take few months more to be able to shrink it more. It that good?

@chasemp I have shrinked the whole stuff to ~50GB, it will take few months more to be able to shrink it more. It that good?

yep thanks

@chasemp I have shrinked the whole stuff to ~50GB, it will take few months more to be able to shrink it more. It that good?

@Kelson: Is there more work needed / wanted in this task?

@Aklapper Yes, you can close the ticket, there is nothing more I can do on my side.

@GTirloni I wonder if these files are legacy after we migrated all our WM in December. If the files are older than 2019, then you can remove them I think.

Current usage was at 82G and all files were old indeed (deleted).

GTirloni closed this task as Resolved.Mar 26 2019, 7:35 PM
GTirloni triaged this task as Low priority.